Pagination

Query Parameters

Some endpoints in the Skydio API accept pagination arguments as query parameters.

  • per_page: Number of results to return per page. Should be an integer between 1 and 500 unless otherwise specified. Defaults to 25.
  • page_number: Desired page of results. Should be an integer between 1 and the total number of pages. Defaults to 1.

These arguments can be added to the url of endpoints that return multiple items, like so:

https://api.skydio.com/api/v0/flights?per_page=50&page_number=2

Pagination Response

When pagination arguments are supported, the Skydio API will include pagination information in the response.

  • max_per_page: Maximum number of results per page, could be less for the final page of results.
  • current_page: Current page.
  • total_pages: Total number of pages.

If current_page is not equal to total_pages, there are more results to view. You can request these by using the same per_page argument and incrementing the page_number until you reach the end of the results.

https://api.skydio.com/api/v0/flights?per_page=50&page_number=3